## leptonlib 1.74.4

=== CMakeLists.txt ===
#
# leptonica
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)

# In-source builds are disabled.
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(leptonica C CXX)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 74)
set(VERSION_PATCH 4)
set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

option(BUILD_PROG "Build utility programs" OFF)

if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.cppan)
    find_package(GIF)
    find_package(JPEG)
    find_package(PNG)
    find_package(TIFF)
    find_package(ZLIB)

    find_package(PkgConfig)

    if (PKG_CONFIG_FOUND)
    pkg_check_modules(WEBP libwebp)
    pkg_check_modules(JP2K libopenjp2)
    endif()
else()
    add_subdirectory(.cppan)

    add_definitions(
        -DHAVE_LIBGIF=1
        -DHAVE_LIBJPEG=1
        -DHAVE_LIBPNG=1
        -DHAVE_LIBTIFF=1
        -DHAVE_LIBWEBP=1
        -DHAVE_LIBZ=1

        -DHAVE_LIBJP2K=1
        -DLIBJP2K_HEADER="openjpeg.h"
    )
endif()

###############################################################################
#
# compiler and linker
#
###############################################################################

set(LIBRARY_TYPE SHARED)
if (STATIC)
    set(LIBRARY_TYPE)
endif()

if (WIN32)
    if (MSVC)
        add_definitions(-D_CRT_SECURE_NO_WARNINGS)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W1")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_BINARY_DIR}/src/config_auto.h)

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/leptonica")

configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)

###############################################################################
#
# build
#
###############################################################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/src)

if (BUILD_PROG)
add_subdirectory(prog)
endif()

add_subdirectory(src)

get_target_property(leptonica_NAME leptonica NAME)
get_target_property(leptonica_VERSION leptonica VERSION)
get_target_property(leptonica_OUTPUT_NAME leptonica OUTPUT_NAME)
configure_file(lept.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lept.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lept.pc DESTINATION lib/pkgconfig)
install(FILES
    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake
    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake
    DESTINATION cmake)

###############################################################################

=== prog/CMakeLists.txt ===
########################################
# FUNCTION add_prog_target
########################################
function(add_prog_target target)
    set                             (${target}_src "${ARGN}")
    if (WIN32)
        set_source_files_properties (${${target}_src} PROPERTIES LANGUAGE CXX)
    endif()
    add_executable                  (${target} ${${target}_src})
    if (NOT STATIC)
        target_compile_definitions  (${target} PRIVATE -DLIBLEPT_IMPORTS)
    endif()
    target_link_libraries           (${target} leptonica)
    set_target_properties           (${target} PROPERTIES FOLDER prog)
endfunction(add_prog_target)
########################################

add_prog_target(adaptmap_reg adaptmap_reg.c)
add_prog_target(adaptnorm_reg adaptnorm_reg.c)
add_prog_target(affine_reg affine_reg.c)
add_prog_target(alltests_reg alltests_reg.c)
add_prog_target(alphaops_reg alphaops_reg.c)
add_prog_target(alphaxform_reg alphaxform_reg.c)
add_prog_target(baseline_reg baseline_reg.c)
add_prog_target(bilateral1_reg bilateral1_reg.c)
add_prog_target(bilateral2_reg bilateral2_reg.c)
add_prog_target(bilinear_reg bilinear_reg.c)
add_prog_target(binarize_reg binarize_reg.c)
add_prog_target(binmorph1_reg binmorph1_reg.c)
add_prog_target(binmorph2_reg binmorph2_reg.c)
add_prog_target(binmorph3_reg binmorph3_reg.c)
add_prog_target(binmorph4_reg binmorph4_reg.c)
add_prog_target(binmorph5_reg binmorph5_reg.c)
add_prog_target(blackwhite_reg blackwhite_reg.c)
add_prog_target(blend1_reg blend1_reg.c)
add_prog_target(blend2_reg blend2_reg.c)
add_prog_target(blend3_reg blend3_reg.c)
add_prog_target(blend4_reg blend4_reg.c)
add_prog_target(boxa1_reg boxa1_reg.c)
add_prog_target(boxa2_reg boxa2_reg.c)
add_prog_target(ccthin1_reg ccthin1_reg.c)
add_prog_target(ccthin2_reg ccthin2_reg.c)
add_prog_target(cmapquant_reg cmapquant_reg.c)
add_prog_target(colorcontent_reg colorcontent_reg.c)
add_prog_target(coloring_reg coloring_reg.c)
add_prog_target(colorize_reg colorize_reg.c)
add_prog_target(colormask_reg colormask_reg.c)
add_prog_target(colormorph_reg colormorph_reg.c)
add_prog_target(colorquant_reg colorquant_reg.c)
add_prog_target(colorseg_reg colorseg_reg.c)
add_prog_target(colorspace_reg colorspace_reg.c)
add_prog_target(compare_reg compare_reg.c)
add_prog_target(compfilter_reg compfilter_reg.c)
add_prog_target(conncomp_reg conncomp_reg.c)
add_prog_target(conversion_reg conversion_reg.c)
add_prog_target(convolve_reg convolve_reg.c)
add_prog_target(dewarp_reg dewarp_reg.c)
add_prog_target(distance_reg distance_reg.c)
add_prog_target(dither_reg dither_reg.c)
add_prog_target(dna_reg dna_reg.c)
add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(edge_reg edge_reg.c)
add_prog_target(enhance_reg enhance_reg.c)
add_prog_target(equal_reg equal_reg.c)
add_prog_target(expand_reg expand_reg.c)
add_prog_target(extrema_reg extrema_reg.c)
add_prog_target(fhmtauto_reg fhmtauto_reg.c)
add_prog_target(files_reg files_reg.c)
add_prog_target(findcorners_reg findcorners_reg.c)
add_prog_target(findpattern_reg findpattern_reg.c)
add_prog_target(flipdetect_reg flipdetect_reg.c)
add_prog_target(fmorphauto_reg fmorphauto_reg.c)
add_prog_target(fpix1_reg fpix1_reg.c)
add_prog_target(fpix2_reg fpix2_reg.c)
add_prog_target(genfonts_reg genfonts_reg.c)
add_prog_target(gifio_reg gifio_reg.c)
add_prog_target(grayfill_reg grayfill_reg.c)
add_prog_target(graymorph1_reg graymorph1_reg.c)
add_prog_target(graymorph2_reg graymorph2_reg.c)
add_prog_target(grayquant_reg grayquant_reg.c)
add_prog_target(hardlight_reg hardlight_reg.c)
add_prog_target(heap_reg heap_reg.c)
add_prog_target(insert_reg insert_reg.c)
add_prog_target(ioformats_reg ioformats_reg.c)
add_prog_target(jbclass_reg jbclass_reg.c)
add_prog_target(jp2kio_reg jp2kio_reg.c)
add_prog_target(jpegio_reg jpegio_reg.c)
add_prog_target(kernel_reg kernel_reg.c)
add_prog_target(label_reg label_reg.c)
add_prog_target(lineremoval_reg lineremoval_reg.c)
add_prog_target(locminmax_reg locminmax_reg.c)
add_prog_target(logicops_reg logicops_reg.c)
add_prog_target(lowaccess_reg lowaccess_reg.c)
add_prog_target(maze_reg maze_reg.c)
add_prog_target(mtiff_reg mtiff_reg.c)
add_prog_target(multitype_reg multitype_reg.c)
add_prog_target(nearline_reg nearline_reg.c)
add_prog_target(newspaper_reg newspaper_reg.c)
add_prog_target(numa1_reg numa1_reg.c)
add_prog_target(numa2_reg numa2_reg.c)
add_prog_target(overlap_reg overlap_reg.c)
add_prog_target(pageseg_reg pageseg_reg.c)
add_prog_target(paintmask_reg paintmask_reg.c)
add_prog_target(paint_reg paint_reg.c)
add_prog_target(pdfseg_reg pdfseg_reg.c)
add_prog_target(pixa1_reg pixa1_reg.c)
add_prog_target(pixa2_reg pixa2_reg.c)
add_prog_target(pixadisp_reg pixadisp_reg.c)
add_prog_target(pixalloc_reg pixalloc_reg.c)
add_prog_target(pixcomp_reg pixcomp_reg.c)
add_prog_target(pixmem_reg pixmem_reg.c)
add_prog_target(pixserial_reg pixserial_reg.c)
add_prog_target(pixtile_reg pixtile_reg.c)
add_prog_target(pngio_reg pngio_reg.c)
add_prog_target(pnmio_reg pnmio_reg.c)
add_prog_target(projection_reg projection_reg.c)
add_prog_target(projective_reg projective_reg.c)
add_prog_target(psioseg_reg psioseg_reg.c)
add_prog_target(psio_reg psio_reg.c)
add_prog_target(pta_reg pta_reg.c)
add_prog_target(ptra1_reg ptra1_reg.c)
add_prog_target(ptra2_reg ptra2_reg.c)
add_prog_target(rankbin_reg rankbin_reg.c)
add_prog_target(rankhisto_reg rankhisto_reg.c)
add_prog_target(rank_reg rank_reg.c)
add_prog_target(rasteropip_reg rasteropip_reg.c)
add_prog_target(rasterop_reg rasterop_reg.c)
add_prog_target(rotate1_reg rotate1_reg.c)
add_prog_target(rotate2_reg rotate2_reg.c)
add_prog_target(scale_reg scale_reg.c)
add_prog_target(selio_reg selio_reg.c)
add_prog_target(shear1_reg shear1_reg.c)
add_prog_target(shear2_reg shear2_reg.c)
add_prog_target(skew_reg skew_reg.c)
add_prog_target(smallpix_reg smallpix_reg.c)
add_prog_target(smoothedge_reg smoothedge_reg.c)
add_prog_target(splitcomp_reg splitcomp_reg.c)
add_prog_target(string_reg string_reg.c)
add_prog_target(subpixel_reg subpixel_reg.c)
add_prog_target(texturefill_reg texturefill_reg.c)
add_prog_target(threshnorm_reg threshnorm_reg.c)
add_prog_target(translate_reg translate_reg.c)
add_prog_target(warper_reg warper_reg.c)
add_prog_target(webpio_reg webpio_reg.c)
add_prog_target(wordboxes_reg wordboxes_reg.c)
add_prog_target(writetext_reg writetext_reg.c)
add_prog_target(xformbox_reg xformbox_reg.c)
add_prog_target(adaptmap_dark adaptmap_dark.c)
add_prog_target(arabic_lines arabic_lines.c)
add_prog_target(arithtest arithtest.c)
add_prog_target(autogentest1 autogentest1.c)
add_prog_target(autogentest2 autogentest2.c autogen.137.c)
add_prog_target(barcodetest barcodetest.c)
add_prog_target(binarize_set binarize_set.c)
add_prog_target(binarizefiles binarizefiles.c)
add_prog_target(bincompare bincompare.c)
add_prog_target(blendcmaptest blendcmaptest.c)
add_prog_target(buffertest buffertest.c)
add_prog_target(byteatest byteatest.c)
add_prog_target(ccbordtest ccbordtest.c)
add_prog_target(cctest1 cctest1.c)
add_prog_target(cleanpdf cleanpdf.c)
add_prog_target(colorsegtest colorsegtest.c)
add_prog_target(comparepages comparepages.c)
add_prog_target(comparepixa comparepixa.c)
add_prog_target(comparetest comparetest.c)
add_prog_target(concatpdf concatpdf.c)
add_prog_target(contrasttest contrasttest.c)
add_prog_target(convertfilestopdf convertfilestopdf.c)
add_prog_target(convertfilestops convertfilestops.c)
add_prog_target(convertformat convertformat.c)
add_prog_target(convertsegfilestopdf convertsegfilestopdf.c)
add_prog_target(convertsegfilestops convertsegfilestops.c)
add_prog_target(converttogray converttogray.c)
add_prog_target(converttopdf converttopdf.c)
add_prog_target(converttops converttops.c)
add_prog_target(cornertest cornertest.c)
add_prog_target(corrupttest corrupttest.c)
add_prog_target(croptest croptest.c)
add_prog_target(croptext croptext.c)
add_prog_target(dewarprules dewarprules.c)
add_prog_target(dewarptest1 dewarptest1.c)
add_prog_target(dewarptest2 dewarptest2.c)
add_prog_target(dewarptest3 dewarptest3.c)
add_prog_target(dewarptest4 dewarptest4.c)
add_prog_target(dewarptest5 dewarptest5.c)
add_prog_target(digitprep1 digitprep1.c)
add_prog_target(displayboxa displayboxa.c)
add_prog_target(displayboxes_on_pixa displayboxes_on_pixa.c)
add_prog_target(displaypix displaypix.c)
add_prog_target(displaypixa displaypixa.c)
add_prog_target(dwalineargen dwalineargen.c)
add_prog_target(falsecolortest falsecolortest.c)
add_prog_target(fcombautogen fcombautogen.c)
add_prog_target(fhmtautogen fhmtautogen.c)
add_prog_target(fileinfo fileinfo.c)
add_prog_target(findbinding findbinding.c)
add_prog_target(find_colorregions find_colorregions.c)
add_prog_target(findpattern1 findpattern1.c)
add_prog_target(findpattern2 findpattern2.c)
add_prog_target(findpattern3 findpattern3.c)
add_prog_target(flipselgen flipselgen.c)
add_prog_target(fmorphautogen fmorphautogen.c)
add_prog_target(fpixcontours fpixcontours.c)
add_prog_target(gammatest gammatest.c)
add_prog_target(gifio_leaktest gifio_leaktest.c)
add_prog_target(graphicstest graphicstest.c)
add_prog_target(graymorphtest graymorphtest.c)
add_prog_target(hashtest hashtest.c)
add_prog_target(histotest histotest.c)
add_prog_target(htmlviewer htmlviewer.c)
add_prog_target(iotest iotest.c)
add_prog_target(italictest italictest.c)
add_prog_target(jbcorrelation jbcorrelation.c)
add_prog_target(jbrankhaus jbrankhaus.c)
add_prog_target(jbwords jbwords.c)
add_prog_target(listtest listtest.c)
add_prog_target(livre_adapt livre_adapt.c)
add_prog_target(livre_hmt livre_hmt.c)
add_prog_target(livre_makefigs livre_makefigs.c)
add_prog_target(livre_orient livre_orient.c)
add_prog_target(livre_pageseg livre_pageseg.c)
add_prog_target(livre_seedgen livre_seedgen.c)
add_prog_target(livre_tophat livre_tophat.c)
add_prog_target(maketile maketile.c)
add_prog_target(maptest maptest.c)
add_prog_target(misctest1 misctest1.c)
add_prog_target(modifyhuesat modifyhuesat.c)
add_prog_target(morphseq_reg morphseq_reg.c)
add_prog_target(morphtest1 morphtest1.c)
add_prog_target(numaranktest numaranktest.c)
add_prog_target(otsutest1 otsutest1.c)
add_prog_target(otsutest2 otsutest2.c)
add_prog_target(pagesegtest1 pagesegtest1.c)
add_prog_target(pagesegtest2 pagesegtest2.c)
add_prog_target(partitiontest partitiontest.c)
add_prog_target(pdfiotest pdfiotest.c)
add_prog_target(percolatetest percolatetest.c)
add_prog_target(pixaatest pixaatest.c)
add_prog_target(pixafileinfo pixafileinfo.c)
add_prog_target(plottest plottest.c)
add_prog_target(printimage printimage.c)
add_prog_target(printsplitimage printsplitimage.c)
add_prog_target(printtiff printtiff.c)
add_prog_target(quadtreetest quadtreetest.c)
add_prog_target(rbtreetest rbtreetest.c)
add_prog_target(recog_bootnum recog_bootnum.c)
add_prog_target(recogsort recogsort.c)
add_prog_target(recogtest1 recogtest1.c)
add_prog_target(recogtest2 recogtest2.c)
add_prog_target(recogtest3 recogtest3.c)
add_prog_target(recogtest4 recogtest4.c)
add_prog_target(recogtest5 recogtest5.c)
add_prog_target(recogtest6 recogtest6.c)
add_prog_target(reducetest reducetest.c)
add_prog_target(removecmap removecmap.c)
add_prog_target(renderfonts renderfonts.c)
add_prog_target(rotatefastalt rotatefastalt.c)
add_prog_target(rotateorthtest1 rotateorthtest1.c)
add_prog_target(rotateorth_reg rotateorth_reg.c)
add_prog_target(rotatetest1 rotatetest1.c)
add_prog_target(runlengthtest runlengthtest.c)
add_prog_target(scaleandtile scaleandtile.c)
add_prog_target(scaletest1 scaletest1.c)
add_prog_target(scaletest2 scaletest2.c)
add_prog_target(seedfilltest seedfilltest.c)
add_prog_target(seedspread_reg seedspread_reg.c)
add_prog_target(settest settest.c)
add_prog_target(sharptest sharptest.c)
add_prog_target(sheartest sheartest.c)
add_prog_target(showedges showedges.c)
add_prog_target(skewtest skewtest.c)
add_prog_target(snapcolortest snapcolortest.c)

=== src/CMakeLists.txt ===
#
# leptonica
#

################################################################################

########################################
# SHARED LIBRARY leptonica
########################################

file(GLOB hdr "*.h")
file(GLOB src "*.c")
if (MSVC)
    set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
endif()

add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES SOVERSION 5.1.0)
if (WIN32)
set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
endif()

if (NOT STATIC)
    target_compile_definitions  (leptonica PRIVATE -DLIBLEPT_EXPORTS)
endif()

if (GIF_LIBRARY)
    target_link_libraries       (leptonica ${GIF_LIBRARY})
endif()
if (JPEG_LIBRARY)
    target_link_libraries       (leptonica ${JPEG_LIBRARY})
endif()
if (JP2K_FOUND)
    target_link_libraries       (leptonica ${JP2K_LIBRARIES})
endif()
if (PNG_LIBRARY)
    target_link_libraries       (leptonica ${PNG_LIBRARY})
endif()
if (TIFF_LIBRARY)
    target_link_libraries       (leptonica ${TIFF_LIBRARY})
endif()
if (WEBP_FOUND)
    target_link_libraries       (leptonica ${WEBP_LIBRARIES})
endif()
if (ZLIB_LIBRARY)
    target_link_libraries       (leptonica ${ZLIB_LIBRARY})
endif()

if (UNIX)
    target_link_libraries       (leptonica m)
endif()

if (NOT CPPAN_BUILD)
    export(TARGETS leptonica FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
else()
    target_link_libraries       (leptonica
        pvt.cppan.demo.gif
        pvt.cppan.demo.jpeg
        pvt.cppan.demo.png
        pvt.cppan.demo.tiff
        pvt.cppan.demo.webp
        pvt.cppan.demo.openjpeg.openjp2
    )
    file(WRITE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS leptonica APPEND FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
endif()

install(TARGETS leptonica EXPORT LeptonicaTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(EXPORT LeptonicaTargets DESTINATION cmake)
install(FILES
    ${hdr}
    ${CMAKE_BINARY_DIR}/src/endianness.h
    DESTINATION include/leptonica)

################################################################################

=== debian/changelog ===
leptonlib (1.74.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 27 Jul 2017 16:05:34 -0700

=== debian/control ===
Source: leptonlib
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake
Standards-Version: 3.9.8
Section: graphics

Package: libleptonica-dev
Section: libdevel
Architecture: any
Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: liblept5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libleptonica (>= 1.69~)
Replaces: libleptonica (>= 1.69~)
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: leptonica-progs
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample programs for Leptonica image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

## leptonlib 1.75.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,8 +41,8 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 74)
-set(VERSION_PATCH 4)
+set(VERSION_MINOR 75)
+set(VERSION_PATCH 3)
 set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_PROG "Build utility programs" OFF)

=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 add_prog_target(blend2_reg blend2_reg.c)
 add_prog_target(blend3_reg blend3_reg.c)
 add_prog_target(blend4_reg blend4_reg.c)
+add_prog_target(blend5_reg blend5_reg.c)
 add_prog_target(boxa1_reg boxa1_reg.c)
 add_prog_target(boxa2_reg boxa2_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
@@ -65,6 +66,7 @@
 add_prog_target(equal_reg equal_reg.c)
 add_prog_target(expand_reg expand_reg.c)
 add_prog_target(extrema_reg extrema_reg.c)
+add_prog_target(falsecolor_reg falsecolor_reg.c)
 add_prog_target(fhmtauto_reg fhmtauto_reg.c)
 add_prog_target(files_reg files_reg.c)
 add_prog_target(findcorners_reg findcorners_reg.c)
@@ -83,6 +85,7 @@
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
+add_prog_target(italic_reg italic_reg.c)
 add_prog_target(jbclass_reg jbclass_reg.c)
 add_prog_target(jp2kio_reg jp2kio_reg.c)
 add_prog_target(jpegio_reg jpegio_reg.c)
@@ -121,6 +124,7 @@
 add_prog_target(pta_reg pta_reg.c)
 add_prog_target(ptra1_reg ptra1_reg.c)
 add_prog_target(ptra2_reg ptra2_reg.c)
+add_prog_target(quadtree_reg quadtree_reg.c)
 add_prog_target(rankbin_reg rankbin_reg.c)
 add_prog_target(rankhisto_reg rankhisto_reg.c)
 add_prog_target(rank_reg rank_reg.c)
@@ -191,7 +195,6 @@
 add_prog_target(displaypix displaypix.c)
 add_prog_target(displaypixa displaypixa.c)
 add_prog_target(dwalineargen dwalineargen.c)
-add_prog_target(falsecolortest falsecolortest.c)
 add_prog_target(fcombautogen fcombautogen.c)
 add_prog_target(fhmtautogen fhmtautogen.c)
 add_prog_target(fileinfo fileinfo.c)
@@ -204,14 +207,12 @@
 add_prog_target(fmorphautogen fmorphautogen.c)
 add_prog_target(fpixcontours fpixcontours.c)
 add_prog_target(gammatest gammatest.c)
-add_prog_target(gifio_leaktest gifio_leaktest.c)
 add_prog_target(graphicstest graphicstest.c)
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
 add_prog_target(histotest histotest.c)
 add_prog_target(htmlviewer htmlviewer.c)
 add_prog_target(iotest iotest.c)
-add_prog_target(italictest italictest.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
@@ -243,7 +244,6 @@
 add_prog_target(printimage printimage.c)
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
-add_prog_target(quadtreetest quadtreetest.c)
 add_prog_target(rbtreetest rbtreetest.c)
 add_prog_target(recog_bootnum recog_bootnum.c)
 add_prog_target(recogsort recogsort.c)
@@ -271,4 +271,4 @@
 add_prog_target(sheartest sheartest.c)
 add_prog_target(showedges showedges.c)
 add_prog_target(skewtest skewtest.c)
-add_prog_target(snapcolortest snapcolortest.c)
+add_prog_target(sorttest sorttest.c)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,12 +14,17 @@
     set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
 endif()
 
+string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})
+
 add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
-set_target_properties           (leptonica PROPERTIES SOVERSION 5.1.0)
+set_target_properties           (leptonica PROPERTIES SOVERSION 5.2.0)
 if (WIN32)
 set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
 set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
+else()
+set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica)
+set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica)
 endif()
 
 if (NOT STATIC)
@@ -27,24 +32,31 @@
 endif()
 
 if (GIF_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${GIF_INCLUDE_DIR})
     target_link_libraries       (leptonica ${GIF_LIBRARY})
 endif()
 if (JPEG_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${JPEG_INCLUDE_DIR})
     target_link_libraries       (leptonica ${JPEG_LIBRARY})
 endif()
 if (JP2K_FOUND)
+    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIR})
     target_link_libraries       (leptonica ${JP2K_LIBRARIES})
 endif()
 if (PNG_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${PNG_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${PNG_LIBRARY})
 endif()
 if (TIFF_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${TIFF_INCLUDE_DIR})
     target_link_libraries       (leptonica ${TIFF_LIBRARY})
 endif()
 if (WEBP_FOUND)
+    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIR})
     target_link_libraries       (leptonica ${WEBP_LIBRARIES})
 endif()
 if (ZLIB_LIBRARY)
+    target_include_directories  (leptonica PUBLIC ${ZLIB_INCLUDE_DIR})
     target_link_libraries       (leptonica ${ZLIB_LIBRARY})
 endif()

=== debian/changelog ===
leptonlib (1.75.3-3) unstable; urgency=medium

  * Apply fix for CVE-2018-7440 (closes: #81932)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 02 Mar 2018 12:04:13 -0800

leptonlib (1.75.3-2) unstable; urgency=medium

  * Fix fscanf buffer overflow (closes: #890548)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 16 Feb 2018 15:26:11 -0800

leptonlib (1.75.3-1) unstable; urgency=medium

  * New upstream release
  * Includes gPlotMakeOutput security fix (closes: #889759)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 15 Feb 2018 10:36:53 -0800

leptonlib (1.74.4-2) unstable; urgency=medium

  * Remove some path weirdness involving TMPDIR (closes: #885704)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 Jan 2018 10:41:08 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
#	dh_autoreconf
	# Add here commands to compile the package.
	dh_auto_configure
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
#	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	install -d $(CURDIR)/debian/tmp/usr/lib
	install -d $(CURDIR)/debian/tmp/usr/include/leptonica
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman -p leptonica-progs debian/leptonica.3
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## leptonlib 1.76.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 add_library                     (leptonica ${LIBRARY_TYPE} ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
-set_target_properties           (leptonica PROPERTIES SOVERSION 5.2.0)
+set_target_properties           (leptonica PROPERTIES SOVERSION 5.3.0)
 if (WIN32)
 set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
 set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
@@ -72,7 +72,7 @@
         pvt.cppan.demo.jpeg
         pvt.cppan.demo.png
         pvt.cppan.demo.tiff
-        pvt.cppan.demo.webp
+        pvt.cppan.demo.webmproject.webp
         pvt.cppan.demo.openjpeg.openjp2
     )
     file(WRITE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")

=== debian/changelog ===
leptonlib (1.76.0-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 02 Oct 2018 17:11:13 -0700

leptonlib (1.76.0-1) unstable; urgency=medium

  * New upstream release
  * Resolves CVE-2018-7442 CVE-2018-7247 CVE-2018-7441

 -- Jeff Breidenbach <jab@debian.org>  Thu, 10 May 2018 12:47:10 -0700

leptonlib (1.75.3-4) unstable; urgency=medium

  * Simplify debian/rules, enable dh-autoreconf (closes #895864)
  * Thank you to Manuel A. Fernandez Montecelo.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 23 Apr 2018 22:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake
-Standards-Version: 3.9.8
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake, pkg-config
+Standards-Version: 4.1.3
 Section: graphics
 
 Package: libleptonica-dev

=== debian/rules ===
#!/usr/bin/make -f

RELEASE := $(DEB_DISTRIBUTION)

%:
	dh $@

override_dh_installman:
	dh_installman -p leptonica-progs debian/leptonica.3

override_dh_strip:
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_strip --no-automatic-dbgsym ;\
	else \
		dh_strip --no-automatic-dbgsym ;\
	fi

## leptonlib 1.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 cmake_minimum_required(VERSION 2.8.11)
 
 # In-source builds are disabled.
-if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
+if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
     message(FATAL_ERROR
         "CMake generation is not possible within the source directory!"
         "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
@@ -23,9 +23,9 @@
     )
 endif()
 
-set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
+set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin")
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")
 
 # Use solution folders.
@@ -41,8 +41,8 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 75)
-set(VERSION_PATCH 3)
+set(VERSION_MINOR 78)
+set(VERSION_PATCH 0)
 set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 option(BUILD_PROG "Build utility programs" OFF)
@@ -53,13 +53,43 @@
     find_package(PNG)
     find_package(TIFF)
     find_package(ZLIB)
+    find_package(PkgConfig)
+    if (PKG_CONFIG_FOUND)
+        pkg_check_modules(WEBP libwebp)
+        pkg_check_modules(JP2K libopenjp2)
+    endif()
+    if(NOT WEBP)
+        message(STATUS "Looking for WEBP")
+        find_path(WEBP_INCLUDE_DIR /webp/decode.h)
+        find_library(WEBP_LIBRARY NAMES webp)
+        if (WEBP_INCLUDE_DIR AND WEBP_LIBRARY)
+            set(WEBP 1)
+            set(WEBP_FOUND TRUE)
+            set(WEBP_LIBRARIES ${WEBP_LIBRARY})
+            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIR})
+            message(STATUS "Found WEBP library: ${WEBP_LIBRARY}")
+        endif()
+    endif()
+    if(NOT JP2K)
+        find_path(JP2K_INCLUDE_DIR /openjpeg-2.3/openjpeg.h)
+        find_library(JP2K_LIBRARY NAMES openjp2)
+        # we need to prepend subdirs (on windows only?)
+        if (JP2K_INCLUDE_DIR)
+            set(JP2K_HEADER "openjpeg-2.3/openjpeg.h")
+        else()
+            set(JP2K_HEADER "openjpeg.h")
+        endif()
+        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
+             set(JP2K 1)
+             set(JP2K_FOUND TRUE)
+             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
+             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
+             set(HAVE_LIBJP2K 1)
+             add_definitions( -DLIBJP2K_HEADER="${JP2K_HEADER}")
+             message(STATUS "Found openjpeg library: ${JP2K_LIBRARIES}")
+        endif()
+    endif()
 
-    find_package(PkgConfig)
-
-    if (PKG_CONFIG_FOUND)
-    pkg_check_modules(WEBP libwebp)
-    pkg_check_modules(JP2K libopenjp2)
-    endif()
 else()
     add_subdirectory(.cppan)
 
@@ -82,6 +112,10 @@
 #
 ###############################################################################
 
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+  set(CLANG 1)
+endif()
+
 set(LIBRARY_TYPE SHARED)
 if (STATIC)
     set(LIBRARY_TYPE)
@@ -91,7 +125,9 @@
     if (MSVC)
         add_definitions(-D_CRT_SECURE_NO_WARNINGS)
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W1")
-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
+        if (NOT CLANG)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
+        endif()
     endif()
 endif()
 
@@ -101,8 +137,8 @@
 #
 ###############################################################################
 
-set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
-set(AUTOCONFIG ${CMAKE_BINARY_DIR}/src/config_auto.h)
+set(AUTOCONFIG_SRC ${CMAKE_CURRENT_BINARY_DIR}/config_auto.h.in)
+set(AUTOCONFIG ${CMAKE_CURRENT_BINARY_DIR}/src/config_auto.h)
 
 include(Configure)
 
@@ -111,11 +147,11 @@
 set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/leptonica")
 
 configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
 configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)
+    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)
 
 ###############################################################################
 #
@@ -140,8 +176,8 @@
 configure_file(lept.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lept.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lept.pc DESTINATION lib/pkgconfig)
 install(FILES
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig.cmake
-    ${CMAKE_BINARY_DIR}/LeptonicaConfig-version.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake
     DESTINATION cmake)
 
 ###############################################################################

=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,9 @@
 add_prog_target(blend5_reg blend5_reg.c)
 add_prog_target(boxa1_reg boxa1_reg.c)
 add_prog_target(boxa2_reg boxa2_reg.c)
+add_prog_target(boxa3_reg boxa3_reg.c)
+add_prog_target(boxa4_reg boxa4_reg.c)
+add_prog_target(bytea_reg bytea_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
 add_prog_target(ccthin2_reg ccthin2_reg.c)
 add_prog_target(cmapquant_reg cmapquant_reg.c)
@@ -85,6 +88,7 @@
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
+add_prog_target(iomisc_reg iomisc_reg.c)
 add_prog_target(italic_reg italic_reg.c)
 add_prog_target(jbclass_reg jbclass_reg.c)
 add_prog_target(jp2kio_reg jp2kio_reg.c)
@@ -139,6 +143,7 @@
 add_prog_target(skew_reg skew_reg.c)
 add_prog_target(smallpix_reg smallpix_reg.c)
 add_prog_target(smoothedge_reg smoothedge_reg.c)
+add_prog_target(speckle_reg speckle_reg.c)
 add_prog_target(splitcomp_reg splitcomp_reg.c)
 add_prog_target(string_reg string_reg.c)
 add_prog_target(subpixel_reg subpixel_reg.c)
@@ -146,6 +151,7 @@
 add_prog_target(threshnorm_reg threshnorm_reg.c)
 add_prog_target(translate_reg translate_reg.c)
 add_prog_target(warper_reg warper_reg.c)
+add_prog_target(watershed_reg watershed_reg.c)
 add_prog_target(webpio_reg webpio_reg.c)
 add_prog_target(wordboxes_reg wordboxes_reg.c)
 add_prog_target(writetext_reg writetext_reg.c)
@@ -161,7 +167,6 @@
 add_prog_target(bincompare bincompare.c)
 add_prog_target(blendcmaptest blendcmaptest.c)
 add_prog_target(buffertest buffertest.c)
-add_prog_target(byteatest byteatest.c)
 add_prog_target(ccbordtest ccbordtest.c)
 add_prog_target(cctest1 cctest1.c)
 add_prog_target(cleanpdf cleanpdf.c)
@@ -211,8 +216,9 @@
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
 add_prog_target(histotest histotest.c)
+add_prog_target(histoduptest histoduptest.c)
 add_prog_target(htmlviewer htmlviewer.c)
-add_prog_target(iotest iotest.c)
+add_prog_target(imagetops imagetops.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
@@ -245,7 +251,9 @@
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
 add_prog_target(rbtreetest rbtreetest.c)
-add_prog_target(recog_bootnum recog_bootnum.c)
+add_prog_target(recog_bootnum1 recog_bootnum1.c)
+add_prog_target(recog_bootnum2 recog_bootnum2.c)
+add_prog_target(recog_bootnum3 recog_bootnum3.c)
 add_prog_target(recogsort recogsort.c)
 add_prog_target(recogtest1 recogtest1.c)
 add_prog_target(recogtest2 recogtest2.c)
@@ -253,6 +261,7 @@
 add_prog_target(recogtest4 recogtest4.c)
 add_prog_target(recogtest5 recogtest5.c)
 add_prog_target(recogtest6 recogtest6.c)
+add_prog_target(recogtest7 recogtest7.c)
 add_prog_target(reducetest reducetest.c)
 add_prog_target(removecmap removecmap.c)
 add_prog_target(renderfonts renderfonts.c)
@@ -263,12 +272,3 @@
 add_prog_target(runlengthtest runlengthtest.c)
 add_prog_target(scaleandtile scaleandtile.c)
 add_prog_target(scaletest1 scaletest1.c)
-add_prog_target(scaletest2 scaletest2.c)
-add_prog_target(seedfilltest seedfilltest.c)
-add_prog_target(seedspread_reg seedspread_reg.c)
-add_prog_target(settest settest.c)
-add_prog_target(sharptest sharptest.c)
-add_prog_target(sheartest sheartest.c)
-add_prog_target(showedges showedges.c)
-add_prog_target(skewtest skewtest.c)
-add_prog_target(sorttest sorttest.c)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
     target_link_libraries       (leptonica ${JPEG_LIBRARY})
 endif()
 if (JP2K_FOUND)
-    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIR})
+    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${JP2K_LIBRARIES})
 endif()
 if (PNG_LIBRARY)
@@ -52,7 +52,7 @@
     target_link_libraries       (leptonica ${TIFF_LIBRARY})
 endif()
 if (WEBP_FOUND)
-    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIR})
+    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIRS})
     target_link_libraries       (leptonica ${WEBP_LIBRARIES})
 endif()
 if (ZLIB_LIBRARY)

=== debian/changelog ===
leptonlib (1.78.0-2) unstable; urgency=medium

  * Remove imagetops binary (closes: #926313)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 24 Jun 2019 13:22:19 -0700

leptonlib (1.78.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Fri, 22 Mar 2019 10:52:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake, pkg-config
+Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf, automake, pkg-config, gnuplot-nox, libzzip-dev
 Standards-Version: 4.1.3
 Section: graphics
